Package org.apache.commons.net.daytime

# Class DaytimeTCPClient

java.lang.Object
org.apache.commons.net.SocketClient
org.apache.commons.net.daytime.DaytimeTCPClient

public final class DaytimeTCPClient extends SocketClient
The DaytimeTCPClient class is a TCP implementation of a client for the Daytime protocol described in RFC 867. To use the class, merely establish a connection with `connect` and call `getTime()` to retrieve the daytime string, then call `disconnect` to close the connection properly.

See Also:
  - `DaytimeUDPClient`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_PORT`
  The default daytime port 13 per RFC 867.

  ### Fields inherited from class org.apache.commons.net.SocketClient

  `_defaultPort_, _hostname_, _input_, _output_, _serverSocketFactory_, _socket_, _socketFactory_, _timeout_, connectTimeout, NETASCII_EOL, remoteInetSocketAddress`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DaytimeTCPClient()`
  The default DaytimeTCPClient constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTime()`
  Gets the time string from the server and returns it.

  ### Methods inherited from class org.apache.commons.net.SocketClient

  `_connectAction_, addProtocolCommandListener, applySocketAttributes, checkOpenOutputStream, connect, connect, connect, connect, connect, connect, createCommandSupport, disconnect, fireCommandSent, fireReplyReceived, getCharset, getCharsetName, getCommandSupport, getConnectTimeout, getDefaultPort, getDefaultTimeout, getHostAddress, getHostAddress, getKeepAlive, getLocalAddress, getLocalPort, getProxy, getReceiveBufferSize, getRemoteAddress, getRemoteInetSocketAddress, getRemotePort, getSendBufferSize, getServerSocketFactory, getSoLinger, getSoTimeout, getTcpNoDelay, isAvailable, isConnected, removeProtocolCommandListener, setCharset, setConnectTimeout, setDefaultPort, setDefaultTimeout, setKeepAlive, setProxy, setReceiveBufferSize, setSendBufferSize, setServerSocketFactory, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PORT

    public static final int DEFAULT_PORT
    The default daytime port 13 per RFC 867.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DaytimeTCPClient

    public DaytimeTCPClient()
    The default DaytimeTCPClient constructor. It merely sets the default port to `DEFAULT_PORT`.

- ## Method Details

  - ### getTime

    public String getTime() throws IOException
    Gets the time string from the server and returns it. The server will have closed the connection at this point, so you should call `disconnect` after calling this method. To retrieve another time, you must initiate another connection with `connect` before calling `getTime()` again.
    Returns:
      The time string retrieved from the server.
    Throws:
      `IOException` - If an error occurs while fetching the time string.